Google Web Toolkit
Search Google Code:

# Class NamedFrame

public class NamedFrame
extends Frame
A Frame that has a 'name' associated with it. This allows the frame to be the target of a FormPanel

## Constructors

NamedFrame(String) | Constructs a frame with the given name.

## Methods

getName() | Gets the name associated with this frame.

## Constructor Detail

### NamedFrame

public NamedFrame(String name)
Constructs a frame with the given name.

#### Parameters

name
  the name of the frame, which must contain at least one non-whitespace character and must not contain reserved HTML markup characters such as '`<`', '`>`', or '`&`'

## Method Detail

### getName

public String getName()
Gets the name associated with this frame.

#### Return Value

the frame's name